Problème de connexion

Tags: #<Tag:0x00007efedbb34288>

Bonjour,

J’essaie depuis maintenant 1 semaine de régler des problèmes concernant le wifi sur ma machine. J’ai installé les firmwares manquants pour ma carte réseau, ma carte réseau est bien détecté et lorsque j’exécute la commande “ifconfig” la connexion wlan0 est bien présente. Mais lorsque je veux me connecter au wifi, le système m’indique : “périphérique non prêt”.

Je vous remercie de votre aide.

1 J'aime

Bonjour @tristan11

Quel est la version de ton système Debian ?

lsb_release -a

Que raconte :

ip a

rfkill list

Tu utilises Gnome ? ou un autre environnement de bureau ?
Comment essaies-tu d’établir la connexion ?

Pour avoir des infos sur ta carte réseau :

lspci -k | grep -A3 -i wireless

Merci de ta réponse,

J’utilise la version 10 de Debian, “ip a” me donne :

1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN group default qlen 1000
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
       valid_lft forever preferred_lft forever
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
2: eth0: <NO-CARRIER,BROADCAST,MULTICAST,UP> mtu 1500 qdisc pfifo_fast state DOWN group default qlen 1000
    link/ether 98:28:a6:07:a9:98 brd ff:ff:ff:ff:ff:ff
3: wlan0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc noqueue state UP group default qlen 1000
    link/ether 7a:af:ce:54:19:d5 brd ff:ff:ff:ff:ff:ff

la commande “rfkill list” me donne :

0: acer-wireless: Wireless LAN
        Soft blocked: no
        Hard blocked: no
1: acer-bluetooth: Bluetooth
        Soft blocked: no
        Hard blocked: no
2: hci0: Bluetooth
        Soft blocked: no
        Hard blocked: no
3: phy0: Wireless LAN
        Soft blocked: no
        Hard blocked: no

J’utilise Gnome, j’essaie de me connecter en utilisant le gestionnaire de connexions (situé en haut a droite)
La commande " lspci -k | grep -A3 -i wireless" me renvoie :

02:00.0 Network controller: Qualcomm Atheros QCA6174 802.11ac Wireless Network Adapter (rev 32)
        Subsystem: Lite-On Communications Inc QCA6174 802.11ac Wireless Network Adapter
        Kernel driver in use: ath10k_pci
        Kernel modules: ath10k_pci
03:00.0 Unassigned class [ff00]: Realtek Semiconductor Co., Ltd. RTL8411B PCI Express Card Reader (rev 01)

Et enfin je ne sais pas si il y a un rapport mais mon debian est installer en dualboot et j’utilise ‘legacy’ dans le bios pour le lancer.

Merci

C’est peut-être NetworkManager ; dans ce cas, il faut aussi vérifier le contenu de /etc/network/interfaces :

apt policy network-manager
rem@n40l:~$ cat /etc/network/interfaces
# This file describes the network interfaces available on your system
# and how to activate them. For more information, see interfaces(5).

source /etc/network/interfaces.d/*

# The loopback network interface
auto lo
iface lo inet loopback

rem@n40l:~$ 

Si NetworkManager est installé, /etc/network/interfaces ne doit pas contenir de référence aux interfaces réseau. Il n’y a que l’interface lo qui doit y être mentionnée ; comme dans ma configuration.

Lister aussi /etc/network/interfaces.d/ pour s’assurer qu’il n’y a pas de fichier de configuration dedans.

C’est curieux que tes interfaces soient encore sous
l’ancien système de nommage (eth0, wlan0, …) ?

Ta carte réseau semble disposer du bon module.

Voir : Forums» Matériel» [Résolu] Aide pour installer carte Wi-Fi Atheros QCA6174
https://debian-facile.org/viewtopic.php?pid=155423#p155423

Télécharger le module board-2.bin ici : https://github.com/FireWalkerX/ath10k-f … oard-2.bin
et le copier dans /lib/firmware/ath10k/QCA6174/hw3.0/board.bin
et redémarrer …

Je doute un peu du chemin exact de destination de la copie après tant de temps…
Ça se tente !

Il s’avère que l’on remplace le /lib/firmware/ath10k/QCA6174/hw3.0/board.bin installé précédemment avec le paquet firmware-atheros.

Je pense que ce n’est pas un problème.
C’est le Secure Boot activé qui peut s’avérer en être un dans cette situation.

1 J'aime

La commande "apt policy network-manager " me donne :

Installé : 1.22.2-2
  Candidat : 1.22.2-2
 Table de version :
 *** 1.22.2-2 100
        100 /var/lib/dpkg/status
     1.6.2-3+deb9u2 500
        500 http://deb.debian.org/debian stretch/main amd64 Packages

J’ai modifier mon fichier interface parce que je n’avais pas le même. Et j’avais déjà fait le tuto pour l’instalation de la carte wifi.

Fais une sauvegarde des fichiers que tu modifies

Je viens de reboot ma machine et ça fonctionne!!!
Merci beaucoup de m’avoir aidé, bonne continuation.:slight_smile:

1 J'aime

Bon ! Super :wink:

Mais, une chose :

Ama, tu n’es pas avec une Debian buster (10) mais avec une stretch (9)
Voir ton /etc/apt/sources.list et les procédures de mise à jour.

Bonne continuation :slight_smile:

1 J'aime

Félicitation pour ta réussite, j’aimerais savoir comment t’a réussit l’installation de ta carte Wi-Fi ?
J’ai un problème du genre
Merci

Bonjour @Sensey,

Je t’invite à ouvrir ton propre sujet dans la catégorie Support Debian.
C’est plus commode de séparer les différentes demandes.
Même si elle sont peu différentes.

Ce sujet est marqué comme résolu, donc à priori, nous ne devrions pas poursuivre ici.

Merci